# DevOps Tools Box

🧰 A self-hosted, open-source DevOps utility toolbox deployed on Kubernetes using MicroK8s and Helm.

## 📦 Included Tools

- **Draw.io** – Diagramming tool (self-hosted)
- **Jupyter Notebook** – Interactive Python scripting
- **Ansible Bastion** – Lightweight controller with Ansible + AWS CLI
- **PrivateBin** – Pastebin for secure text sharing

## 🚀 Quick Start

### Requirements

- Kubernetes cluster (e.g., MicroK8s)
- Helm 3.x
- Ingress (optional)

### Installation

```bash
git clone https://github.com/yourname/devops-tools-box.git
cd devops-tools-box/charts/devops-tools-box
helm install devops-tools-box . -n devops-tools --create-namespace
```
